import { ElementRef, OnDestroy, OnInit, QueryList, Renderer2 } from '@angular/core';
import { CalendarBaseComponent } from '@ironsource/fusion-ui/components/calendar/common/base';
import { Day } from '@ironsource/fusion-ui/components/calendar/entities';
import { CalendarService } from '@ironsource/fusion-ui/components/calendar/common/base';
import * as i0 from "@angular/core";
export declare class CalendarComponent extends CalendarBaseComponent implements OnDestroy, OnInit {
    /** @internal */
    renderer: Renderer2;
    private onDestroy$;
    /** @internal */
    dateList: QueryList<ElementRef>;
    /** @internal */
    daysOfTheWeek: string[];
    constructor(
    /** @internal */
    calendarService: CalendarService, 
    /** @internal */
    renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /** @internal */
    initListeners(): void;
    /** @internal */
    dayHovered(day: Day, event: MouseEvent): void;
    /** @internal */
    selectDay(day: Day): void;
    /** @internal */
    hoverEnd(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarComponent, "fusion-calendar", never, {}, {}, never, never, false, never>;
}
